petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerStringSetString

sets the string that a string viewer will print to

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerStringSetString(PetscViewer viewer,char string[],PetscInt len)

Logically Collective on PetscViewer

### Input Parameters

| viewer | - string viewer you wish to attach string to
| string | - the string to print data into
| len | - the length of the string

### See Also

PetscViewerStringOpen()

Level:advanced
Location:src/sys/classes/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages